
Infrastructure - Bug #2050

Subjects are using subject.getValue().equals instead of subject.equals 

2011-11-23 01:10 - Robert Waltz

Status: Closed Start date: 2011-11-22

Priority: High Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2011.47-Block.6   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

And example of this may be found in CNodeService.java line 974

History

#1 - 2011-11-23 01:11 - Robert Waltz

- Subject changed from Subjects may be compare for equality using subject.getValue().equals instead of subject.equals to Subjects are using

subject.getValue().equals instead of subject.equals 

#2 - 2011-11-23 17:56 - Ben Leinfelder

- Assignee changed from Chris Jones to Ben Leinfelder

#3 - 2011-11-23 18:21 - Ben Leinfelder

- Status changed from New to Closed

All calls to Subject.getValue() that were being used for object comparison are now using the Subject.equals() method.

Note: we still use the Subject.getValue() method when we need a string representation of the subject (logging, system metadata serialization, etc).
